Package org.eclipse.rdf4j.sparqlbuilder.core

## Class Variable

- java.lang.Object
- - org.eclipse.rdf4j.sparqlbuilder.core.Variable

- All Implemented Interfaces:
    `Operand`, `Assignable`, `Groupable`, `Orderable`, `Projectable`, `QueryElement`, `GraphName`, `RdfObject`, `RdfPredicate`, `RdfSubject`

      public class Variable
      extends Object
      implements Projectable, RdfSubject, RdfPredicate, RdfObject, Operand, Orderable, Groupable, GraphName, Assignable

  A SPARQL query variable
  See Also:
    SPARQL Variable Syntax

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.rdf4j.sparqlbuilder.rdf.RdfPredicate

      `a`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getQueryString()` |
    `String` | `getVarName()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sparqlbuilder.core.Assignable

      `as`

    - ### Methods inherited from interface org.eclipse.rdf4j.sparqlbuilder.core.Orderable

      `asc, desc`

    - ### Methods inherited from interface org.eclipse.rdf4j.sparqlbuilder.rdf.RdfSubject

      `has, has, has, has, has, has, has, has, has, has, has, has, has, has, has, has, isA, isA`

- - ### Method Detail

    - #### getVarName

          public String getVarName()

    - #### getQueryString

          public String getQueryString()

      Specified by:
        `getQueryString` in interface `QueryElement`
      Returns:
        the String representing the SPARQL syntax of this element

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`